package helloworld;

import java.io.IOException;
import java.net.URL;
import java.util.Enumeration;

import javax.servlet.ServletConfig;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;

public class TestServlet extends HttpServlet {

	@Override
	public void init(ServletConfig arg0) throws ServletException {
		super.init(arg0);
		
		ClassLoader cl = Thread.currentThread().getContextClassLoader();
		Enumeration urls;
		try {
			urls = cl.getResources("META-INF/helloworld.txt");
			System.out.println("Resources in servlet with classloader :" + cl);
			while(urls.hasMoreElements()) {
				URL url = (URL)urls.nextElement();
				System.out.println(url);
			}
		} catch (IOException e) {
			e.printStackTrace();
		}

	}

}
